gnutls_compress_certificate_get_selected_method(3)

NAME
gnutls_compress_certificate_get_selected_method - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_compression_method_t gnutls_compress_certificate_get_selected_method(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function returns the certificate compression method that has been selected to compress the certificate before sending it to the peer. The selection is done based on the local list of supported compression methods and the peer's requested compression methods.

RETURNS
selected certificate compression method.

Since 3.7.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/